Subject: js/bisect-in-c (was: What's cooking in git.git (Oct 2022, #09; Mon, 31))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 02 Nov 2022 18:22:17 +0100

On Mon, Oct 31 2022, Taylor Blau wrote:

> What's cooking in git.git (Oct 2022, #09; Mon, 31)
> --------------------------------------------------
>
> * js/bisect-in-c (2022-08-30) 17 commits
>  . bisect: no longer try to clean up left-over `.git/head-name` files
>  . bisect: remove Cogito-related code
>  . Turn `git bisect` into a full built-in
>  . bisect: move even the command-line parsing to `bisect--helper`
>  . bisect--helper: make `state` optional
>  . bisect--helper: calling `bisect_state()` without an argument is a bug
>  . bisect: avoid double-quoting when printing the failed command
>  . bisect run: fix the error message
>  . bisect: verify that a bogus option won't try to start a bisection
>  . bisect--helper: migrate to OPT_SUBCOMMAND()
>  . bisect--helper: make the order consistently `argc, argv`
>  . bisect--helper: make `terms` an explicit singleton
>  . bisect--helper: simplify exit code computation
>  . bisect--helper: really retire `--bisect-autostart`
>  . bisect--helper: really retire --bisect-next-check
>  . bisect--helper: retire the --no-log option
>  . Merge branch 'sg/parse-options-subcommand' into js/bisect-in-c
>
>  Final bits of "git bisect.sh" have been rewritten in C.
>
>  Needs review.
>  cf. <[email-masked]>
>  source: <[email-masked]>

I see this has been ejected out of "seen", presumably due to the
outstanding conflicts.

To the extent that Johannes doesn't have time I'd by happy to re-roll
this & look at it/fix whatever outstanding issues I spot.

I gave it a once over a few weeks ago, and didn't see any outstanding
problems with it worth rewriting in that iteration, but didn't have time
to give it stress testing to see if there were still some lurking
unexpected/untested behavior changes.

Johannes?